#ifndef RENDERINGPARAMETERSDIALOGDATA_H
#define RENDERINGPARAMETERSDIALOGDATA_H

#include <qvariant.h>


#include <Qt3Support/Q3GroupBox>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSlider>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

class Ui_RenderingParametersDialogData
{
public:
    QGridLayout *gridLayout;
    QVBoxLayout *vboxLayout;
    Q3GroupBox *labels;
    QGridLayout *gridLayout1;
    QHBoxLayout *hboxLayout;
    QVBoxLayout *vboxLayout1;
    QLabel *labelVisibilityText;
    QLabel *fontType;
    QLabel *labelDensity;
    QVBoxLayout *vboxLayout2;
    QHBoxLayout *hboxLayout1;
    QVBoxLayout *vboxLayout3;
    QCheckBox *nlabels;
    QComboBox *fonts;
    QVBoxLayout *vboxLayout4;
    QHBoxLayout *hboxLayout2;
    QCheckBox *elabels;
    QCheckBox *mlabels;
    QHBoxLayout *hboxLayout3;
    QCheckBox *ordering;
    QSpacerItem *spacerItem;
    QSlider *density;
    Q3GroupBox *edgesGroup;
    QGridLayout *gridLayout2;
    QVBoxLayout *vboxLayout5;
    QHBoxLayout *hboxLayout4;
    QCheckBox *edgeVisible;
    QCheckBox *arrows;
    QCheckBox *edge3D;
    QHBoxLayout *hboxLayout5;
    QCheckBox *colorInterpolation;
    QCheckBox *sizeInterpolation;
    Q3GroupBox *others;
    QGridLayout *gridLayout3;
    QHBoxLayout *hboxLayout6;
    QCheckBox *orthogonal;
    QPushButton *background;
    QSpacerItem *spacerItem1;
    QHBoxLayout *hboxLayout7;
    QSpacerItem *spacerItem2;
    QPushButton *buttonClose;

    void setupUi(QDialog *RenderingParametersDialogData)
    {
    if (RenderingParametersDialogData->objectName().isEmpty())
        RenderingParametersDialogData->setObjectName(QString::fromUtf8("RenderingParametersDialogData"));
    RenderingParametersDialogData->resize(360, 329);
    RenderingParametersDialogData->setSizeGripEnabled(false);
    gridLayout = new QGridLayout(RenderingParametersDialogData);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    gridLayout->setResizeMode(QGridLayout::Fixed);
    vboxLayout = new QVBoxLayout();
    vboxLayout->setSpacing(6);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    labels = new Q3GroupBox(RenderingParametersDialogData);
    labels->setObjectName(QString::fromUtf8("labels"));
    labels->setColumnLayout(0, Qt::Vertical);
    labels->layout()->setSpacing(6);
    labels->layout()->setMargin(11);
    gridLayout1 = new QGridLayout();
    QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(labels->layout());
    if (boxlayout)
        boxlayout->addLayout(gridLayout1);
    gridLayout1->setAlignment(Qt::AlignTop);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    vboxLayout1 = new QVBoxLayout();
    vboxLayout1->setSpacing(6);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    labelVisibilityText = new QLabel(labels);
    labelVisibilityText->setObjectName(QString::fromUtf8("labelVisibilityText"));
    labelVisibilityText->setWordWrap(false);

    vboxLayout1->addWidget(labelVisibilityText);

    fontType = new QLabel(labels);
    fontType->setObjectName(QString::fromUtf8("fontType"));
    fontType->setWordWrap(false);

    vboxLayout1->addWidget(fontType);

    labelDensity = new QLabel(labels);
    labelDensity->setObjectName(QString::fromUtf8("labelDensity"));
    labelDensity->setWordWrap(false);

    vboxLayout1->addWidget(labelDensity);


    hboxLayout->addLayout(vboxLayout1);

    vboxLayout2 = new QVBoxLayout();
    vboxLayout2->setSpacing(6);
    vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    vboxLayout3 = new QVBoxLayout();
    vboxLayout3->setSpacing(6);
    vboxLayout3->setObjectName(QString::fromUtf8("vboxLayout3"));
    nlabels = new QCheckBox(labels);
    nlabels->setObjectName(QString::fromUtf8("nlabels"));

    vboxLayout3->addWidget(nlabels);

    fonts = new QComboBox(labels);
    fonts->setObjectName(QString::fromUtf8("fonts"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(fonts->sizePolicy().hasHeightForWidth());
    fonts->setSizePolicy(sizePolicy);

    vboxLayout3->addWidget(fonts);


    hboxLayout1->addLayout(vboxLayout3);

    vboxLayout4 = new QVBoxLayout();
    vboxLayout4->setSpacing(6);
    vboxLayout4->setObjectName(QString::fromUtf8("vboxLayout4"));
    hboxLayout2 = new QHBoxLayout();
    hboxLayout2->setSpacing(6);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    elabels = new QCheckBox(labels);
    elabels->setObjectName(QString::fromUtf8("elabels"));

    hboxLayout2->addWidget(elabels);

    mlabels = new QCheckBox(labels);
    mlabels->setObjectName(QString::fromUtf8("mlabels"));

    hboxLayout2->addWidget(mlabels);


    vboxLayout4->addLayout(hboxLayout2);

    hboxLayout3 = new QHBoxLayout();
    hboxLayout3->setSpacing(6);
    hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
    ordering = new QCheckBox(labels);
    ordering->setObjectName(QString::fromUtf8("ordering"));
    ordering->setFocusPolicy(Qt::StrongFocus);

    hboxLayout3->addWidget(ordering);

    spacerItem = new QSpacerItem(18, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout3->addItem(spacerItem);


    vboxLayout4->addLayout(hboxLayout3);


    hboxLayout1->addLayout(vboxLayout4);


    vboxLayout2->addLayout(hboxLayout1);

    density = new QSlider(labels);
    density->setObjectName(QString::fromUtf8("density"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(5));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(density->sizePolicy().hasHeightForWidth());
    density->setSizePolicy(sizePolicy1);
    density->setOrientation(Qt::Horizontal);

    vboxLayout2->addWidget(density);


    hboxLayout->addLayout(vboxLayout2);


    gridLayout1->addLayout(hboxLayout, 0, 0, 1, 1);


    vboxLayout->addWidget(labels);

    edgesGroup = new Q3GroupBox(RenderingParametersDialogData);
    edgesGroup->setObjectName(QString::fromUtf8("edgesGroup"));
    edgesGroup->setColumnLayout(0, Qt::Vertical);
    edgesGroup->layout()->setSpacing(6);
    edgesGroup->layout()->setMargin(11);
    gridLayout2 = new QGridLayout();
    QBoxLayout *boxlayout1 = qobject_cast<QBoxLayout *>(edgesGroup->layout());
    if (boxlayout1)
        boxlayout1->addLayout(gridLayout2);
    gridLayout2->setAlignment(Qt::AlignTop);
    gridLayout2->setObjectName(QString::fromUtf8("gridLayout2"));
    vboxLayout5 = new QVBoxLayout();
    vboxLayout5->setSpacing(6);
    vboxLayout5->setObjectName(QString::fromUtf8("vboxLayout5"));
    hboxLayout4 = new QHBoxLayout();
    hboxLayout4->setSpacing(6);
    hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
    edgeVisible = new QCheckBox(edgesGroup);
    edgeVisible->setObjectName(QString::fromUtf8("edgeVisible"));

    hboxLayout4->addWidget(edgeVisible);

    arrows = new QCheckBox(edgesGroup);
    arrows->setObjectName(QString::fromUtf8("arrows"));
    arrows->setFocusPolicy(Qt::StrongFocus);

    hboxLayout4->addWidget(arrows);

    edge3D = new QCheckBox(edgesGroup);
    edge3D->setObjectName(QString::fromUtf8("edge3D"));
    edge3D->setFocusPolicy(Qt::StrongFocus);

    hboxLayout4->addWidget(edge3D);


    vboxLayout5->addLayout(hboxLayout4);

    hboxLayout5 = new QHBoxLayout();
    hboxLayout5->setSpacing(6);
    hboxLayout5->setObjectName(QString::fromUtf8("hboxLayout5"));
    colorInterpolation = new QCheckBox(edgesGroup);
    colorInterpolation->setObjectName(QString::fromUtf8("colorInterpolation"));
    colorInterpolation->setFocusPolicy(Qt::StrongFocus);
    colorInterpolation->setChecked(true);

    hboxLayout5->addWidget(colorInterpolation);

    sizeInterpolation = new QCheckBox(edgesGroup);
    sizeInterpolation->setObjectName(QString::fromUtf8("sizeInterpolation"));
    sizeInterpolation->setFocusPolicy(Qt::StrongFocus);
    sizeInterpolation->setChecked(true);

    hboxLayout5->addWidget(sizeInterpolation);


    vboxLayout5->addLayout(hboxLayout5);


    gridLayout2->addLayout(vboxLayout5, 0, 0, 1, 1);


    vboxLayout->addWidget(edgesGroup);

    others = new Q3GroupBox(RenderingParametersDialogData);
    others->setObjectName(QString::fromUtf8("others"));
    others->setColumnLayout(0, Qt::Vertical);
    others->layout()->setSpacing(6);
    others->layout()->setMargin(11);
    gridLayout3 = new QGridLayout();
    QBoxLayout *boxlayout2 = qobject_cast<QBoxLayout *>(others->layout());
    if (boxlayout2)
        boxlayout2->addLayout(gridLayout3);
    gridLayout3->setAlignment(Qt::AlignTop);
    gridLayout3->setObjectName(QString::fromUtf8("gridLayout3"));
    hboxLayout6 = new QHBoxLayout();
    hboxLayout6->setSpacing(6);
    hboxLayout6->setObjectName(QString::fromUtf8("hboxLayout6"));
    orthogonal = new QCheckBox(others);
    orthogonal->setObjectName(QString::fromUtf8("orthogonal"));
    orthogonal->setFocusPolicy(Qt::StrongFocus);
    orthogonal->setChecked(true);

    hboxLayout6->addWidget(orthogonal);

    background = new QPushButton(others);
    background->setObjectName(QString::fromUtf8("background"));
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(background->sizePolicy().hasHeightForWidth());
    background->setSizePolicy(sizePolicy2);
    background->setFocusPolicy(Qt::StrongFocus);

    hboxLayout6->addWidget(background);

    spacerItem1 = new QSpacerItem(31, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout6->addItem(spacerItem1);


    gridLayout3->addLayout(hboxLayout6, 0, 0, 1, 1);


    vboxLayout->addWidget(others);

    hboxLayout7 = new QHBoxLayout();
    hboxLayout7->setSpacing(6);
    hboxLayout7->setMargin(0);
    hboxLayout7->setObjectName(QString::fromUtf8("hboxLayout7"));
    spacerItem2 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout7->addItem(spacerItem2);

    buttonClose = new QPushButton(RenderingParametersDialogData);
    buttonClose->setObjectName(QString::fromUtf8("buttonClose"));
    buttonClose->setAutoDefault(true);
    buttonClose->setDefault(true);

    hboxLayout7->addWidget(buttonClose);


    vboxLayout->addLayout(hboxLayout7);


    gridLayout->addLayout(vboxLayout, 0, 0, 1, 1);


    retranslateUi(RenderingParametersDialogData);
    QObject::connect(buttonClose, SIGNAL(clicked()), RenderingParametersDialogData, SLOT(accept()));
    QObject::connect(arrows, SIGNAL(stateChanged(int)), RenderingParametersDialogData, SLOT(updateView()));
    QObject::connect(nlabels, SIGNAL(stateChanged(int)), RenderingParametersDialogData, SLOT(updateView()));
    QObject::connect(elabels, SIGNAL(stateChanged(int)), RenderingParametersDialogData, SLOT(updateView()));
    QObject::connect(mlabels, SIGNAL(stateChanged(int)), RenderingParametersDialogData, SLOT(updateView()));
    QObject::connect(edgeVisible, SIGNAL(stateChanged(int)), RenderingParametersDialogData, SLOT(updateView()));
    QObject::connect(edge3D, SIGNAL(stateChanged(int)), RenderingParametersDialogData, SLOT(updateView()));
    QObject::connect(colorInterpolation, SIGNAL(stateChanged(int)), RenderingParametersDialogData, SLOT(updateView()));
    QObject::connect(sizeInterpolation, SIGNAL(stateChanged(int)), RenderingParametersDialogData, SLOT(updateView()));
    QObject::connect(ordering, SIGNAL(stateChanged(int)), RenderingParametersDialogData, SLOT(updateView()));
    QObject::connect(orthogonal, SIGNAL(stateChanged(int)), RenderingParametersDialogData, SLOT(updateView()));
    QObject::connect(fonts, SIGNAL(activated(int)), RenderingParametersDialogData, SLOT(updateView()));
    QObject::connect(background, SIGNAL(clicked()), RenderingParametersDialogData, SLOT(backColor()));
    QObject::connect(density, SIGNAL(valueChanged(int)), RenderingParametersDialogData, SLOT(updateView()));

    fonts->setCurrentIndex(0);


    QMetaObject::connectSlotsByName(RenderingParametersDialogData);
    } // setupUi

    void retranslateUi(QDialog *RenderingParametersDialogData)
    {
    RenderingParametersDialogData->setWindowTitle(QApplication::translate("RenderingParametersDialogData", "Rendering Parameters", 0, QApplication::UnicodeUTF8));
    labels->setTitle(QApplication::translate("RenderingParametersDialogData", "Labels", 0, QApplication::UnicodeUTF8));
    labelVisibilityText->setText(QApplication::translate("RenderingParametersDialogData", "Visibility: ", 0, QApplication::UnicodeUTF8));
    fontType->setText(QApplication::translate("RenderingParametersDialogData", "Type: ", 0, QApplication::UnicodeUTF8));
    labelDensity->setText(QApplication::translate("RenderingParametersDialogData", "Density: ", 0, QApplication::UnicodeUTF8));
    nlabels->setText(QApplication::translate("RenderingParametersDialogData", "nodes", 0, QApplication::UnicodeUTF8));
    nlabels->setProperty("toolTip", QVariant(QApplication::translate("RenderingParametersDialogData", "show/hide the label of nodes", 0, QApplication::UnicodeUTF8)));
    fonts->clear();
    fonts->insertItems(0, QStringList()
     << QApplication::translate("RenderingParametersDialogData", "3D", 0, QApplication::UnicodeUTF8)
     << QApplication::translate("RenderingParametersDialogData", "Bitmap", 0, QApplication::UnicodeUTF8)
     << QApplication::translate("RenderingParametersDialogData", "Texture", 0, QApplication::UnicodeUTF8)
    );
    elabels->setText(QApplication::translate("RenderingParametersDialogData", "edges", 0, QApplication::UnicodeUTF8));
    elabels->setProperty("toolTip", QVariant(QApplication::translate("RenderingParametersDialogData", "show/hide the label of edges", 0, QApplication::UnicodeUTF8)));
    mlabels->setText(QApplication::translate("RenderingParametersDialogData", "metanodes", 0, QApplication::UnicodeUTF8));
    mlabels->setProperty("toolTip", QVariant(QApplication::translate("RenderingParametersDialogData", "show/hide the label of embedded nodes", 0, QApplication::UnicodeUTF8)));
    ordering->setText(QApplication::translate("RenderingParametersDialogData", "metric ordering", 0, QApplication::UnicodeUTF8));
    ordering->setProperty("toolTip", QVariant(QApplication::translate("RenderingParametersDialogData", "Use viewMetric decreasing order as display order", 0, QApplication::UnicodeUTF8)));
    edgesGroup->setTitle(QApplication::translate("RenderingParametersDialogData", "Edges", 0, QApplication::UnicodeUTF8));
    edgeVisible->setText(QApplication::translate("RenderingParametersDialogData", "visible", 0, QApplication::UnicodeUTF8));
    edgeVisible->setProperty("toolTip", QVariant(QApplication::translate("RenderingParametersDialogData", "show/hide edges", 0, QApplication::UnicodeUTF8)));
    arrows->setText(QApplication::translate("RenderingParametersDialogData", "arrows", 0, QApplication::UnicodeUTF8));
    arrows->setProperty("toolTip", QVariant(QApplication::translate("RenderingParametersDialogData", "show/hide arrow on edges", 0, QApplication::UnicodeUTF8)));
    edge3D->setText(QApplication::translate("RenderingParametersDialogData", "3D", 0, QApplication::UnicodeUTF8));
    edge3D->setProperty("toolTip", QVariant(QApplication::translate("RenderingParametersDialogData", "enable/disable 3D rendering of edges", 0, QApplication::UnicodeUTF8)));
    colorInterpolation->setText(QApplication::translate("RenderingParametersDialogData", "Color interpolation", 0, QApplication::UnicodeUTF8));
    colorInterpolation->setProperty("toolTip", QVariant(QApplication::translate("RenderingParametersDialogData", "Interpolate edge color from the colors of its nodes", 0, QApplication::UnicodeUTF8)));
    sizeInterpolation->setText(QApplication::translate("RenderingParametersDialogData", "Size interpolation", 0, QApplication::UnicodeUTF8));
    sizeInterpolation->setProperty("toolTip", QVariant(QApplication::translate("RenderingParametersDialogData", "Interpolate edge size from the sizes of its nodes", 0, QApplication::UnicodeUTF8)));
    others->setTitle(QApplication::translate("RenderingParametersDialogData", "Others", 0, QApplication::UnicodeUTF8));
    orthogonal->setText(QApplication::translate("RenderingParametersDialogData", "Orthogonal projection", 0, QApplication::UnicodeUTF8));
    background->setText(QApplication::translate("RenderingParametersDialogData", "Background color", 0, QApplication::UnicodeUTF8));
    buttonClose->setText(QApplication::translate("RenderingParametersDialogData", "&Close", 0, QApplication::UnicodeUTF8));
    buttonClose->setShortcut(QApplication::translate("RenderingParametersDialogData", "Alt+C", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(RenderingParametersDialogData);
    } // retranslateUi

};

namespace Ui {
    class RenderingParametersDialogData: public Ui_RenderingParametersDialogData {};
} // namespace Ui

class RenderingParametersDialogData : public QDialog, public Ui::RenderingParametersDialogData
{
    Q_OBJECT

public:
    RenderingParametersDialogData(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~RenderingParametersDialogData();

public slots:
    virtual void backColor();
    virtual void updateView();

protected slots:
    virtual void languageChange();

};

#endif // RENDERINGPARAMETERSDIALOGDATA_H
